Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes
Class EntryRow

    java.lang.Object
      classes.EntryRow

    public class EntryRow

extends java.lang.Object

Az EntryRow osztályban a számlák egy-egy soráról tárolhatunk adatokat.

Constructor Summary
`EntryRow(int money, int amount, double key, java.lang.String category, java.lang.String unitType, java.lang.String VTSZ)` Létrehoz egy tételt a megadott értékekkel.

Method Summary
`int` | `getAmount()` A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás mennyisége.
`java.lang.String` | `getCategory()` A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás kategóriája, megnevezése.
`double` | `getKey()` A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás áfakulcsa.
`int` | `getMoney()` A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás egységára.
`java.lang.String` | `getUnitType()` A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás mennyiségi egysége.
`java.lang.String` | `getVTSZ()` A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás VTSZ száma, vagy a hozzá kapcsolódó egyéb megjegyzés.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntryRow

    public EntryRow(int money,
                    int amount,
                    double key,
                    java.lang.String category,
                    java.lang.String unitType,
                    java.lang.String VTSZ)

  Létrehoz egy tételt a megadott értékekkel.

  Parameters:
    `money` - A termék/szolgáltatás egységára
    `amount` - A termék/szolgáltatás mennyisége
    `key` - A terméket/szolgáltatást súlytó áfakulcs
    `category` - A termék/szolgáltatás megnevezése
    `unitType` - A termék/szolgáltatás mennyiségi egysége
    `VTSZ` - A termék/szolgáltatás VTSZ száma, illetve egyéb megjegyzés (lehet null is)

Method Detail

### getMoney

    public int getMoney()

  A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás egységára.

  Returns:
    A termék/szolgáltatás egységára

### getCategory

    public java.lang.String getCategory()

  A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás kategóriája, megnevezése.

  Returns:
    A termék/szolgáltatás kategóriája, megnevezése

### getVTSZ

    public java.lang.String getVTSZ()

  A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás VTSZ száma, vagy a hozzá kapcsolódó egyéb megjegyzés.

  Returns:
    A termék/szolgáltatás VTSZ száma, vagy a hozzá kapcsolt egyéb megjegyzés

### getKey

    public double getKey()

  A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás áfakulcsa.

  Returns:
    A termék/szolgáltatás áfakulcsa

### getAmount

    public int getAmount()

  A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás mennyisége.

  Returns:
    A termék/szolgáltatás mennyisége

### getUnitType

    public java.lang.String getUnitType()

  A metódus segítségével lekérdezhető a tételen szereplő termék/szolgáltatás mennyiségi egysége.

  Returns:
    A termék/szolgáltatás mennyiségi egysége

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD